Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2
Class StrutsSpringTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.opensymphony.xwork2.XWorkTestCase
                  org.apache.struts2.StrutsTestCase
                      org.apache.struts2.StrutsSpringTestCase

All Implemented Interfaces:
  junit.framework.Test

    public abstract class StrutsSpringTestCase

extends StrutsTestCase

Base class for Spring JUnit actions

Field Summary
`protected static org.springframework.context.ApplicationContext` | `applicationContext`

Fields inherited from class org.apache.struts2.StrutsTestCase
`dispatcher, dispatcherInitParams, pageContext, request, resourceLoader, response, servletContext`

Fields inherited from class com.opensymphony.xwork2.XWorkTestCase
`actionProxyFactory, configuration, configurationManager, container`

Constructor Summary
`StrutsSpringTestCase()`

Method Summary
`protected String[]` | `getContextLocations()`
`protected void` | `setupBeforeInitDispatcher()`

Methods inherited from class org.apache.struts2.StrutsTestCase
`applyAdditionalParams, executeAction, findValueAfterExecute, getActionMapping, getActionMapping, getActionProxy, initActionContext, initDispatcher, initServletMockObjects, initSession, injectStrutsDependencies, setUp, setupAfterInitDispatcher, tearDown`

Methods inherited from class com.opensymphony.xwork2.XWorkTestCase
`loadButAdd, loadButAdd, loadConfigurationProviders`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### applicationContext

    protected static org.springframework.context.ApplicationContext applicationContext

Constructor Detail

### StrutsSpringTestCase

    public StrutsSpringTestCase()

Method Detail

### setupBeforeInitDispatcher

    protected void setupBeforeInitDispatcher()
                                      throws Exception

  Overrides:
    `setupBeforeInitDispatcher` in class `StrutsTestCase`
  Throws:
    `Exception`

### getContextLocations

    protected String[] getContextLocations()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.